package cn.iocoder.yudao.module.system.controller.admin.informationmapassociation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 设备地图关联 Response VO")
@Data
@ExcelIgnoreUnannotated
public class InformationMapAssociationRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15277")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "地图id", example = "30278")
    @ExcelProperty("地图id")
    private Long positionMapId;

    @Schema(description = "AGV设备id", example = "11651")
    @ExcelProperty("AGV设备id")
    private Long robotInformationId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}