package cn.iocoder.yudao.module.system.controller.admin.positionmap.dto;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class RobotPositionMapDTO {
    /**
     * 实际坐标x轴
     */
    private String actualLocationX;
    /**
     * 实际坐标y轴
     */
    private String actualLocationY;

    /**
     * 类型 1.路径点位 2.库位点 3.充电桩 4.停车点 5.区域变更点 6.等待点 --- 后续补充
     */
    private Integer type;

    /**
     * AGV编号
     */
    private String robotNo;

    /**
     * 仓库点位地图表id
     */
    private Long positionMapId;
}
