package cn.iocoder.yudao.module.mqtt.api.path.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 下发任务给PP，机器人不能行走的楼层和区域
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskRobotNoLimittationAreaDTO {

    @Schema(description = "机器人编号")
    private String robotNo;

    @Schema(description = "机器人不能行走的楼层和区域")
    private List<TaskLimitationAreaDTO> limitationAreaList;
}
