package cn.iododer.yudao.module.mqtt.framework.system;

import cn.iocoder.yudao.module.system.api.robot.*;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
@EnableFeignClients(clients = {RobotGenericsStatusApi.class, RobotTaskStatusApi.class, RobotStatusApi.class, RobotReactiveStatusApi.class,
        RobotPathStatusApi.class,RobotWorkStatusApi.class,RobotUpdatePalletHeightApi.class})
public class SystemConfiguration {
}
